]> git.sur5r.net Git - bacula/rescue/blob - rescue/linux/cdrom/yaird-0.0.5/config.status
afa833bfa9b567177f03c96f294006b786133954
[bacula/rescue] / rescue / linux / cdrom / yaird-0.0.5 / config.status
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization.  ##
13 ## --------------------- ##
14
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17   emulate sh
18   NULLCMD=:
19   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20   # is contrary to our usage.  Disable this feature.
21   alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23   set -o posix
24 fi
25 DUALCASE=1; export DUALCASE # for MKS sh
26
27 # Support unset when possible.
28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29   as_unset=unset
30 else
31   as_unset=false
32 fi
33
34
35 # Work around bugs in pre-3.0 UWIN ksh.
36 $as_unset ENV MAIL MAILPATH
37 PS1='$ '
38 PS2='> '
39 PS4='+ '
40
41 # NLS nuisances.
42 for as_var in \
43   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45   LC_TELEPHONE LC_TIME
46 do
47   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48     eval $as_var=C; export $as_var
49   else
50     $as_unset $as_var
51   fi
52 done
53
54 # Required to use basename.
55 if expr a : '\(a\)' >/dev/null 2>&1; then
56   as_expr=expr
57 else
58   as_expr=false
59 fi
60
61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62   as_basename=basename
63 else
64   as_basename=false
65 fi
66
67
68 # Name of the executable.
69 as_me=`$as_basename "$0" ||
70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71          X"$0" : 'X\(//\)$' \| \
72          X"$0" : 'X\(/\)$' \| \
73          .     : '\(.\)' 2>/dev/null ||
74 echo X/"$0" |
75     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76           /^X\/\(\/\/\)$/{ s//\1/; q; }
77           /^X\/\(\/\).*/{ s//\1/; q; }
78           s/.*/./; q'`
79
80
81 # PATH needs CR, and LINENO needs CR and PATH.
82 # Avoid depending upon Character Ranges.
83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86 as_cr_digits='0123456789'
87 as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89 # The user is always right.
90 if test "${PATH_SEPARATOR+set}" != set; then
91   echo "#! /bin/sh" >conf$$.sh
92   echo  "exit 0"   >>conf$$.sh
93   chmod +x conf$$.sh
94   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95     PATH_SEPARATOR=';'
96   else
97     PATH_SEPARATOR=:
98   fi
99   rm -f conf$$.sh
100 fi
101
102
103   as_lineno_1=$LINENO
104   as_lineno_2=$LINENO
105   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106   test "x$as_lineno_1" != "x$as_lineno_2" &&
107   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
108   # Find who we are.  Look in the path if we contain no path at all
109   # relative or not.
110   case $0 in
111     *[\\/]* ) as_myself=$0 ;;
112     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113 for as_dir in $PATH
114 do
115   IFS=$as_save_IFS
116   test -z "$as_dir" && as_dir=.
117   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118 done
119
120        ;;
121   esac
122   # We did not find ourselves, most probably we were run as `sh COMMAND'
123   # in which case we are not to be found in the path.
124   if test "x$as_myself" = x; then
125     as_myself=$0
126   fi
127   if test ! -f "$as_myself"; then
128     { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130    { (exit 1); exit 1; }; }
131   fi
132   case $CONFIG_SHELL in
133   '')
134     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136 do
137   IFS=$as_save_IFS
138   test -z "$as_dir" && as_dir=.
139   for as_base in sh bash ksh sh5; do
140          case $as_dir in
141          /*)
142            if ("$as_dir/$as_base" -c '
143   as_lineno_1=$LINENO
144   as_lineno_2=$LINENO
145   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146   test "x$as_lineno_1" != "x$as_lineno_2" &&
147   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
148              $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149              $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150              CONFIG_SHELL=$as_dir/$as_base
151              export CONFIG_SHELL
152              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153            fi;;
154          esac
155        done
156 done
157 ;;
158   esac
159
160   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161   # uniformly replaced by the line number.  The first 'sed' inserts a
162   # line-number line before each line; the second 'sed' does the real
163   # work.  The second script uses 'N' to pair each line-number line
164   # with the numbered line, and appends trailing '-' during
165   # substitution so that $LINENO is not a special case at line end.
166   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
168   sed '=' <$as_myself |
169     sed '
170       N
171       s,$,-,
172       : loop
173       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174       t loop
175       s,-$,,
176       s,^['$as_cr_digits']*\n,,
177     ' >$as_me.lineno &&
178   chmod +x $as_me.lineno ||
179     { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181    { (exit 1); exit 1; }; }
182
183   # Don't try to exec as it changes $[0], causing all sort of problems
184   # (the dirname of $[0] is not the place where we might find the
185   # original and so on.  Autoconf is especially sensible to this).
186   . ./$as_me.lineno
187   # Exit status is that of the last command.
188   exit
189 }
190
191
192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193   *c*,-n*) ECHO_N= ECHO_C='
194 ' ECHO_T='      ' ;;
195   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
197 esac
198
199 if expr a : '\(a\)' >/dev/null 2>&1; then
200   as_expr=expr
201 else
202   as_expr=false
203 fi
204
205 rm -f conf$$ conf$$.exe conf$$.file
206 echo >conf$$.file
207 if ln -s conf$$.file conf$$ 2>/dev/null; then
208   # We could just check for DJGPP; but this test a) works b) is more generic
209   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210   if test -f conf$$.exe; then
211     # Don't use ln at all; we don't have any links
212     as_ln_s='cp -p'
213   else
214     as_ln_s='ln -s'
215   fi
216 elif ln conf$$.file conf$$ 2>/dev/null; then
217   as_ln_s=ln
218 else
219   as_ln_s='cp -p'
220 fi
221 rm -f conf$$ conf$$.exe conf$$.file
222
223 if mkdir -p . 2>/dev/null; then
224   as_mkdir_p=:
225 else
226   test -d ./-p && rmdir ./-p
227   as_mkdir_p=false
228 fi
229
230 as_executable_p="test -f"
231
232 # Sed expression to map a string onto a valid CPP name.
233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235 # Sed expression to map a string onto a valid variable name.
236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239 # IFS
240 # We need space, tab and new line, in precisely that order.
241 as_nl='
242 '
243 IFS="   $as_nl"
244
245 # CDPATH.
246 $as_unset CDPATH
247
248 exec 6>&1
249
250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
251 # report actual input values of CONFIG_FILES etc. instead of their
252 # values after options handling.  Logging --version etc. is OK.
253 exec 5>>config.log
254 {
255   echo
256   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257 ## Running $as_me. ##
258 _ASBOX
259 } >&5
260 cat >&5 <<_CSEOF
261
262 This file was extended by $as_me, which was
263 generated by GNU Autoconf 2.59.  Invocation command line was
264
265   CONFIG_FILES    = $CONFIG_FILES
266   CONFIG_HEADERS  = $CONFIG_HEADERS
267   CONFIG_LINKS    = $CONFIG_LINKS
268   CONFIG_COMMANDS = $CONFIG_COMMANDS
269   $ $0 $@
270
271 _CSEOF
272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273 echo >&5
274 config_files=" Makefile templates/Makefile perl/Makefile doc/Makefile exec/Makefile doc/yaird.xml"
275 config_headers=" include/config.h"
276 config_commands=" depfiles"
277
278 ac_cs_usage="\
279 \`$as_me' instantiates files from templates according to the
280 current configuration.
281
282 Usage: $0 [OPTIONS] [FILE]...
283
284   -h, --help       print this help, then exit
285   -V, --version    print version number, then exit
286   -q, --quiet      do not print progress messages
287   -d, --debug      don't remove temporary files
288       --recheck    update $as_me by reconfiguring in the same conditions
289   --file=FILE[:TEMPLATE]
290                    instantiate the configuration file FILE
291   --header=FILE[:TEMPLATE]
292                    instantiate the configuration header FILE
293
294 Configuration files:
295 $config_files
296
297 Configuration headers:
298 $config_headers
299
300 Configuration commands:
301 $config_commands
302
303 Report bugs to <bug-autoconf@gnu.org>."
304 ac_cs_version="\
305 config.status
306 configured by ./configure, generated by GNU Autoconf 2.59,
307   with options \"'--enable-template=Fedora'\"
308
309 Copyright (C) 2003 Free Software Foundation, Inc.
310 This config.status script is free software; the Free Software Foundation
311 gives unlimited permission to copy, distribute and modify it."
312 srcdir=.
313 INSTALL="/usr/bin/install -c"
314 # If no file are specified by the user, then we need to provide default
315 # value.  By we need to know if files were specified by the user.
316 ac_need_defaults=:
317 while test $# != 0
318 do
319   case $1 in
320   --*=*)
321     ac_option=`expr "x$1" : 'x\([^=]*\)='`
322     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
323     ac_shift=:
324     ;;
325   -*)
326     ac_option=$1
327     ac_optarg=$2
328     ac_shift=shift
329     ;;
330   *) # This is not an option, so the user has probably given explicit
331      # arguments.
332      ac_option=$1
333      ac_need_defaults=false;;
334   esac
335
336   case $ac_option in
337   # Handling of the options.
338   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
339     ac_cs_recheck=: ;;
340   --version | --vers* | -V )
341     echo "$ac_cs_version"; exit 0 ;;
342   --he | --h)
343     # Conflict between --help and --header
344     { { echo "$as_me:$LINENO: error: ambiguous option: $1
345 Try \`$0 --help' for more information." >&5
346 echo "$as_me: error: ambiguous option: $1
347 Try \`$0 --help' for more information." >&2;}
348    { (exit 1); exit 1; }; };;
349   --help | --hel | -h )
350     echo "$ac_cs_usage"; exit 0 ;;
351   --debug | --d* | -d )
352     debug=: ;;
353   --file | --fil | --fi | --f )
354     $ac_shift
355     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
356     ac_need_defaults=false;;
357   --header | --heade | --head | --hea )
358     $ac_shift
359     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
360     ac_need_defaults=false;;
361   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
362   | -silent | --silent | --silen | --sile | --sil | --si | --s)
363     ac_cs_silent=: ;;
364
365   # This is an error.
366   -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
367 Try \`$0 --help' for more information." >&5
368 echo "$as_me: error: unrecognized option: $1
369 Try \`$0 --help' for more information." >&2;}
370    { (exit 1); exit 1; }; } ;;
371
372   *) ac_config_targets="$ac_config_targets $1" ;;
373
374   esac
375   shift
376 done
377
378 ac_configure_extra_args=
379
380 if $ac_cs_silent; then
381   exec 6>/dev/null
382   ac_configure_extra_args="$ac_configure_extra_args --silent"
383 fi
384
385 if $ac_cs_recheck; then
386   echo "running /bin/sh ./configure " '--enable-template=Fedora' $ac_configure_extra_args " --no-create --no-recursion" >&6
387   exec /bin/sh ./configure '--enable-template=Fedora' $ac_configure_extra_args --no-create --no-recursion
388 fi
389
390 #
391 # INIT-COMMANDS section.
392 #
393
394 AMDEP_TRUE="" ac_aux_dir="."
395
396 for ac_config_target in $ac_config_targets
397 do
398   case "$ac_config_target" in
399   # Handling of arguments.
400   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
401   "templates/Makefile" ) CONFIG_FILES="$CONFIG_FILES templates/Makefile" ;;
402   "perl/Makefile" ) CONFIG_FILES="$CONFIG_FILES perl/Makefile" ;;
403   "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
404   "exec/Makefile" ) CONFIG_FILES="$CONFIG_FILES exec/Makefile" ;;
405   "doc/yaird.xml" ) CONFIG_FILES="$CONFIG_FILES doc/yaird.xml" ;;
406   "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
407   "include/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/config.h" ;;
408   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
409 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
410    { (exit 1); exit 1; }; };;
411   esac
412 done
413
414 # If the user did not use the arguments to specify the items to instantiate,
415 # then the envvar interface is used.  Set only those that are not.
416 # We use the long form for the default assignment because of an extremely
417 # bizarre bug on SunOS 4.1.3.
418 if $ac_need_defaults; then
419   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
420   test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
421   test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
422 fi
423
424 # Have a temporary directory for convenience.  Make it in the build tree
425 # simply because there is no reason to put it here, and in addition,
426 # creating and moving files from /tmp can sometimes cause problems.
427 # Create a temporary directory, and hook for its removal unless debugging.
428 $debug ||
429 {
430   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
431   trap '{ (exit 1); exit 1; }' 1 2 13 15
432 }
433
434 # Create a (secure) tmp directory for tmp files.
435
436 {
437   tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
438   test -n "$tmp" && test -d "$tmp"
439 }  ||
440 {
441   tmp=./confstat$$-$RANDOM
442   (umask 077 && mkdir $tmp)
443 } ||
444 {
445    echo "$me: cannot create a temporary directory in ." >&2
446    { (exit 1); exit 1; }
447 }
448
449
450 #
451 # CONFIG_FILES section.
452 #
453
454 # No need to generate the scripts if there are no CONFIG_FILES.
455 # This happens for instance when ./config.status config.h
456 if test -n "$CONFIG_FILES"; then
457   # Protect against being on the right side of a sed subst in config.status.
458   sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
459    s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
460 s,@SHELL@,/bin/sh,;t t
461 s,@PATH_SEPARATOR@,:,;t t
462 s,@PACKAGE_NAME@,,;t t
463 s,@PACKAGE_TARNAME@,,;t t
464 s,@PACKAGE_VERSION@,,;t t
465 s,@PACKAGE_STRING@,,;t t
466 s,@PACKAGE_BUGREPORT@,,;t t
467 s,@exec_prefix@,${prefix},;t t
468 s,@prefix@,/usr/local,;t t
469 s,@program_transform_name@,s,x,x,,;t t
470 s,@bindir@,${exec_prefix}/bin,;t t
471 s,@sbindir@,${exec_prefix}/sbin,;t t
472 s,@libexecdir@,${exec_prefix}/libexec,;t t
473 s,@datadir@,${prefix}/share,;t t
474 s,@sysconfdir@,${prefix}/etc,;t t
475 s,@sharedstatedir@,${prefix}/com,;t t
476 s,@localstatedir@,${prefix}/var,;t t
477 s,@libdir@,${exec_prefix}/lib,;t t
478 s,@includedir@,${prefix}/include,;t t
479 s,@oldincludedir@,/usr/include,;t t
480 s,@infodir@,${prefix}/info,;t t
481 s,@mandir@,${prefix}/man,;t t
482 s,@build_alias@,,;t t
483 s,@host_alias@,,;t t
484 s,@target_alias@,,;t t
485 s,@DEFS@,-DHAVE_CONFIG_H,;t t
486 s,@ECHO_C@,,;t t
487 s,@ECHO_N@,-n,;t t
488 s,@ECHO_T@,,;t t
489 s,@LIBS@,,;t t
490 s,@INSTALL_PROGRAM@,${INSTALL},;t t
491 s,@INSTALL_SCRIPT@,${INSTALL},;t t
492 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
493 s,@CYGPATH_W@,echo,;t t
494 s,@PACKAGE@,yaird,;t t
495 s,@VERSION@,0.0.5,;t t
496 s,@ACLOCAL@,${SHELL} /home/kern/bacula/k/rescue/linux/cdrom/yaird-0.0.5/missing --run aclocal-1.9,;t t
497 s,@AUTOCONF@,${SHELL} /home/kern/bacula/k/rescue/linux/cdrom/yaird-0.0.5/missing --run autoconf,;t t
498 s,@AUTOMAKE@,${SHELL} /home/kern/bacula/k/rescue/linux/cdrom/yaird-0.0.5/missing --run automake-1.9,;t t
499 s,@AUTOHEADER@,${SHELL} /home/kern/bacula/k/rescue/linux/cdrom/yaird-0.0.5/missing --run autoheader,;t t
500 s,@MAKEINFO@,${SHELL} /home/kern/bacula/k/rescue/linux/cdrom/yaird-0.0.5/missing --run makeinfo,;t t
501 s,@install_sh@,/home/kern/bacula/k/rescue/linux/cdrom/yaird-0.0.5/install-sh,;t t
502 s,@STRIP@,,;t t
503 s,@ac_ct_STRIP@,,;t t
504 s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
505 s,@mkdir_p@,mkdir -p --,;t t
506 s,@AWK@,gawk,;t t
507 s,@SET_MAKE@,,;t t
508 s,@am__leading_dot@,.,;t t
509 s,@AMTAR@,${SHELL} /home/kern/bacula/k/rescue/linux/cdrom/yaird-0.0.5/missing --run tar,;t t
510 s,@am__tar@,${AMTAR} chof - "$$tardir",;t t
511 s,@am__untar@,${AMTAR} xf -,;t t
512 s,@INITRD_TEMPLATE@,Fedora,;t t
513 s,@PERL@,/usr/bin/perl,;t t
514 s,@CC@,gcc,;t t
515 s,@CFLAGS@,-g -O2,;t t
516 s,@LDFLAGS@,,;t t
517 s,@CPPFLAGS@,,;t t
518 s,@ac_ct_CC@,gcc,;t t
519 s,@EXEEXT@,,;t t
520 s,@OBJEXT@,o,;t t
521 s,@DEPDIR@,.deps,;t t
522 s,@am__include@,include,;t t
523 s,@am__quote@,,;t t
524 s,@AMDEP_TRUE@,,;t t
525 s,@AMDEP_FALSE@,#,;t t
526 s,@AMDEPBACKSLASH@,\,;t t
527 s,@CCDEPMODE@,depmode=gcc3,;t t
528 s,@am__fastdepCC_TRUE@,,;t t
529 s,@am__fastdepCC_FALSE@,#,;t t
530 s,@XMLTO@,/usr/bin/xmlto,;t t
531 s,@LIBOBJS@,,;t t
532 s,@LTLIBOBJS@,,;t t
533 CEOF
534
535   # Split the substitutions into bite-sized pieces for seds with
536   # small command number limits, like on Digital OSF/1 and HP-UX.
537   ac_max_sed_lines=48
538   ac_sed_frag=1 # Number of current file.
539   ac_beg=1 # First line for current file.
540   ac_end=$ac_max_sed_lines # Line after last line for current file.
541   ac_more_lines=:
542   ac_sed_cmds=
543   while $ac_more_lines; do
544     if test $ac_beg -gt 1; then
545       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
546     else
547       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
548     fi
549     if test ! -s $tmp/subs.frag; then
550       ac_more_lines=false
551     else
552       # The purpose of the label and of the branching condition is to
553       # speed up the sed processing (if there are no `@' at all, there
554       # is no need to browse any of the substitutions).
555       # These are the two extra sed commands mentioned above.
556       (echo ':t
557   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
558       if test -z "$ac_sed_cmds"; then
559         ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
560       else
561         ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
562       fi
563       ac_sed_frag=`expr $ac_sed_frag + 1`
564       ac_beg=$ac_end
565       ac_end=`expr $ac_end + $ac_max_sed_lines`
566     fi
567   done
568   if test -z "$ac_sed_cmds"; then
569     ac_sed_cmds=cat
570   fi
571 fi # test -n "$CONFIG_FILES"
572
573 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
574   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
575   case $ac_file in
576   - | *:- | *:-:* ) # input from stdin
577         cat >$tmp/stdin
578         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
579         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
580   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
581         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
582   * )   ac_file_in=$ac_file.in ;;
583   esac
584
585   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
586   ac_dir=`(dirname "$ac_file") 2>/dev/null ||
587 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
588          X"$ac_file" : 'X\(//\)[^/]' \| \
589          X"$ac_file" : 'X\(//\)$' \| \
590          X"$ac_file" : 'X\(/\)' \| \
591          .     : '\(.\)' 2>/dev/null ||
592 echo X"$ac_file" |
593     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
594           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
595           /^X\(\/\/\)$/{ s//\1/; q; }
596           /^X\(\/\).*/{ s//\1/; q; }
597           s/.*/./; q'`
598   { if $as_mkdir_p; then
599     mkdir -p "$ac_dir"
600   else
601     as_dir="$ac_dir"
602     as_dirs=
603     while test ! -d "$as_dir"; do
604       as_dirs="$as_dir $as_dirs"
605       as_dir=`(dirname "$as_dir") 2>/dev/null ||
606 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
607          X"$as_dir" : 'X\(//\)[^/]' \| \
608          X"$as_dir" : 'X\(//\)$' \| \
609          X"$as_dir" : 'X\(/\)' \| \
610          .     : '\(.\)' 2>/dev/null ||
611 echo X"$as_dir" |
612     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
613           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
614           /^X\(\/\/\)$/{ s//\1/; q; }
615           /^X\(\/\).*/{ s//\1/; q; }
616           s/.*/./; q'`
617     done
618     test ! -n "$as_dirs" || mkdir $as_dirs
619   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
620 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
621    { (exit 1); exit 1; }; }; }
622
623   ac_builddir=.
624
625 if test "$ac_dir" != .; then
626   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
627   # A "../" for each directory in $ac_dir_suffix.
628   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
629 else
630   ac_dir_suffix= ac_top_builddir=
631 fi
632
633 case $srcdir in
634   .)  # No --srcdir option.  We are building in place.
635     ac_srcdir=.
636     if test -z "$ac_top_builddir"; then
637        ac_top_srcdir=.
638     else
639        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
640     fi ;;
641   [\\/]* | ?:[\\/]* )  # Absolute path.
642     ac_srcdir=$srcdir$ac_dir_suffix;
643     ac_top_srcdir=$srcdir ;;
644   *) # Relative path.
645     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
646     ac_top_srcdir=$ac_top_builddir$srcdir ;;
647 esac
648
649 # Do not use `cd foo && pwd` to compute absolute paths, because
650 # the directories may not exist.
651 case `pwd` in
652 .) ac_abs_builddir="$ac_dir";;
653 *)
654   case "$ac_dir" in
655   .) ac_abs_builddir=`pwd`;;
656   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
657   *) ac_abs_builddir=`pwd`/"$ac_dir";;
658   esac;;
659 esac
660 case $ac_abs_builddir in
661 .) ac_abs_top_builddir=${ac_top_builddir}.;;
662 *)
663   case ${ac_top_builddir}. in
664   .) ac_abs_top_builddir=$ac_abs_builddir;;
665   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
666   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
667   esac;;
668 esac
669 case $ac_abs_builddir in
670 .) ac_abs_srcdir=$ac_srcdir;;
671 *)
672   case $ac_srcdir in
673   .) ac_abs_srcdir=$ac_abs_builddir;;
674   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
675   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
676   esac;;
677 esac
678 case $ac_abs_builddir in
679 .) ac_abs_top_srcdir=$ac_top_srcdir;;
680 *)
681   case $ac_top_srcdir in
682   .) ac_abs_top_srcdir=$ac_abs_builddir;;
683   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
684   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
685   esac;;
686 esac
687
688
689   case $INSTALL in
690   [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
691   *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
692   esac
693
694   # Let's still pretend it is `configure' which instantiates (i.e., don't
695   # use $as_me), people would be surprised to read:
696   #    /* config.h.  Generated by config.status.  */
697   if test x"$ac_file" = x-; then
698     configure_input=
699   else
700     configure_input="$ac_file.  "
701   fi
702   configure_input=$configure_input"Generated from `echo $ac_file_in |
703                                      sed 's,.*/,,'` by configure."
704
705   # First look for the input files in the build tree, otherwise in the
706   # src tree.
707   ac_file_inputs=`IFS=:
708     for f in $ac_file_in; do
709       case $f in
710       -) echo $tmp/stdin ;;
711       [\\/$]*)
712          # Absolute (can't be DOS-style, as IFS=:)
713          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
714 echo "$as_me: error: cannot find input file: $f" >&2;}
715    { (exit 1); exit 1; }; }
716          echo "$f";;
717       *) # Relative
718          if test -f "$f"; then
719            # Build tree
720            echo "$f"
721          elif test -f "$srcdir/$f"; then
722            # Source tree
723            echo "$srcdir/$f"
724          else
725            # /dev/null tree
726            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
727 echo "$as_me: error: cannot find input file: $f" >&2;}
728    { (exit 1); exit 1; }; }
729          fi;;
730       esac
731     done` || { (exit 1); exit 1; }
732
733   if test x"$ac_file" != x-; then
734     { echo "$as_me:$LINENO: creating $ac_file" >&5
735 echo "$as_me: creating $ac_file" >&6;}
736     rm -f "$ac_file"
737   fi
738   sed "/^[       ]*VPATH[        ]*=/{
739 s/:*\$(srcdir):*/:/;
740 s/:*\${srcdir}:*/:/;
741 s/:*@srcdir@:*/:/;
742 s/^\([^=]*=[     ]*\):*/\1/;
743 s/:*$//;
744 s/^[^=]*=[       ]*$//;
745 }
746
747 :t
748 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
749 s,@configure_input@,$configure_input,;t t
750 s,@srcdir@,$ac_srcdir,;t t
751 s,@abs_srcdir@,$ac_abs_srcdir,;t t
752 s,@top_srcdir@,$ac_top_srcdir,;t t
753 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
754 s,@builddir@,$ac_builddir,;t t
755 s,@abs_builddir@,$ac_abs_builddir,;t t
756 s,@top_builddir@,$ac_top_builddir,;t t
757 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
758 s,@INSTALL@,$ac_INSTALL,;t t
759 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
760   rm -f $tmp/stdin
761   if test x"$ac_file" != x-; then
762     mv $tmp/out $ac_file
763   else
764     cat $tmp/out
765     rm -f $tmp/out
766   fi
767
768 done
769
770 #
771 # CONFIG_HEADER section.
772 #
773
774 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
775 # NAME is the cpp macro being defined and VALUE is the value it is being given.
776 #
777 # ac_d sets the value in "#define NAME VALUE" lines.
778 ac_dA='s,^\([    ]*\)#\([        ]*define[       ][      ]*\)'
779 ac_dB='[         ].*$,\1#\2'
780 ac_dC=' '
781 ac_dD=',;t'
782 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
783 ac_uA='s,^\([    ]*\)#\([        ]*\)undef\([    ][      ]*\)'
784 ac_uB='$,\1#\2define\3'
785 ac_uC=' '
786 ac_uD=',;t'
787
788 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
789   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
790   case $ac_file in
791   - | *:- | *:-:* ) # input from stdin
792         cat >$tmp/stdin
793         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
794         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
795   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
796         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
797   * )   ac_file_in=$ac_file.in ;;
798   esac
799
800   test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
801 echo "$as_me: creating $ac_file" >&6;}
802
803   # First look for the input files in the build tree, otherwise in the
804   # src tree.
805   ac_file_inputs=`IFS=:
806     for f in $ac_file_in; do
807       case $f in
808       -) echo $tmp/stdin ;;
809       [\\/$]*)
810          # Absolute (can't be DOS-style, as IFS=:)
811          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
812 echo "$as_me: error: cannot find input file: $f" >&2;}
813    { (exit 1); exit 1; }; }
814          # Do quote $f, to prevent DOS paths from being IFS'd.
815          echo "$f";;
816       *) # Relative
817          if test -f "$f"; then
818            # Build tree
819            echo "$f"
820          elif test -f "$srcdir/$f"; then
821            # Source tree
822            echo "$srcdir/$f"
823          else
824            # /dev/null tree
825            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
826 echo "$as_me: error: cannot find input file: $f" >&2;}
827    { (exit 1); exit 1; }; }
828          fi;;
829       esac
830     done` || { (exit 1); exit 1; }
831   # Remove the trailing spaces.
832   sed 's/[       ]*$//' $ac_file_inputs >$tmp/in
833
834   # Handle all the #define templates only if necessary.
835   if grep "^[    ]*#[    ]*define" $tmp/in >/dev/null; then
836   # If there are no defines, we may have an empty if/fi
837   :
838   cat >$tmp/defines.sed <<CEOF
839 /^[      ]*#[    ]*define/!b
840 t clr
841 : clr
842 ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
843 ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
844 ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
845 ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
846 ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
847 ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"yaird"${ac_dD}
848 ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.0.5"${ac_dD}
849 CEOF
850   sed -f $tmp/defines.sed $tmp/in >$tmp/out
851   rm -f $tmp/in
852   mv $tmp/out $tmp/in
853
854   fi # grep
855
856   # Handle all the #undef templates
857   cat >$tmp/undefs.sed <<CEOF
858 /^[      ]*#[    ]*undef/!b
859 t clr
860 : clr
861 ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
862 ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
863 ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
864 ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
865 ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
866 ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"yaird"${ac_uD}
867 ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.0.5"${ac_uD}
868 s,^[     ]*#[    ]*undef[        ][      ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
869 CEOF
870   sed -f $tmp/undefs.sed $tmp/in >$tmp/out
871   rm -f $tmp/in
872   mv $tmp/out $tmp/in
873
874   # Let's still pretend it is `configure' which instantiates (i.e., don't
875   # use $as_me), people would be surprised to read:
876   #    /* config.h.  Generated by config.status.  */
877   if test x"$ac_file" = x-; then
878     echo "/* Generated by configure.  */" >$tmp/config.h
879   else
880     echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
881   fi
882   cat $tmp/in >>$tmp/config.h
883   rm -f $tmp/in
884   if test x"$ac_file" != x-; then
885     if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
886       { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
887 echo "$as_me: $ac_file is unchanged" >&6;}
888     else
889       ac_dir=`(dirname "$ac_file") 2>/dev/null ||
890 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
891          X"$ac_file" : 'X\(//\)[^/]' \| \
892          X"$ac_file" : 'X\(//\)$' \| \
893          X"$ac_file" : 'X\(/\)' \| \
894          .     : '\(.\)' 2>/dev/null ||
895 echo X"$ac_file" |
896     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
897           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
898           /^X\(\/\/\)$/{ s//\1/; q; }
899           /^X\(\/\).*/{ s//\1/; q; }
900           s/.*/./; q'`
901       { if $as_mkdir_p; then
902     mkdir -p "$ac_dir"
903   else
904     as_dir="$ac_dir"
905     as_dirs=
906     while test ! -d "$as_dir"; do
907       as_dirs="$as_dir $as_dirs"
908       as_dir=`(dirname "$as_dir") 2>/dev/null ||
909 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
910          X"$as_dir" : 'X\(//\)[^/]' \| \
911          X"$as_dir" : 'X\(//\)$' \| \
912          X"$as_dir" : 'X\(/\)' \| \
913          .     : '\(.\)' 2>/dev/null ||
914 echo X"$as_dir" |
915     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
916           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
917           /^X\(\/\/\)$/{ s//\1/; q; }
918           /^X\(\/\).*/{ s//\1/; q; }
919           s/.*/./; q'`
920     done
921     test ! -n "$as_dirs" || mkdir $as_dirs
922   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
923 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
924    { (exit 1); exit 1; }; }; }
925
926       rm -f $ac_file
927       mv $tmp/config.h $ac_file
928     fi
929   else
930     cat $tmp/config.h
931     rm -f $tmp/config.h
932   fi
933 # Compute $ac_file's index in $config_headers.
934 _am_stamp_count=1
935 for _am_header in $config_headers :; do
936   case $_am_header in
937     $ac_file | $ac_file:* )
938       break ;;
939     * )
940       _am_stamp_count=`expr $_am_stamp_count + 1` ;;
941   esac
942 done
943 echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
944 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
945          X$ac_file : 'X\(//\)[^/]' \| \
946          X$ac_file : 'X\(//\)$' \| \
947          X$ac_file : 'X\(/\)' \| \
948          .     : '\(.\)' 2>/dev/null ||
949 echo X$ac_file |
950     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
951           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
952           /^X\(\/\/\)$/{ s//\1/; q; }
953           /^X\(\/\).*/{ s//\1/; q; }
954           s/.*/./; q'`/stamp-h$_am_stamp_count
955 done
956
957 #
958 # CONFIG_COMMANDS section.
959 #
960 for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
961   ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
962   ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
963   ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
964 $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
965          X"$ac_dest" : 'X\(//\)[^/]' \| \
966          X"$ac_dest" : 'X\(//\)$' \| \
967          X"$ac_dest" : 'X\(/\)' \| \
968          .     : '\(.\)' 2>/dev/null ||
969 echo X"$ac_dest" |
970     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
971           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
972           /^X\(\/\/\)$/{ s//\1/; q; }
973           /^X\(\/\).*/{ s//\1/; q; }
974           s/.*/./; q'`
975   { if $as_mkdir_p; then
976     mkdir -p "$ac_dir"
977   else
978     as_dir="$ac_dir"
979     as_dirs=
980     while test ! -d "$as_dir"; do
981       as_dirs="$as_dir $as_dirs"
982       as_dir=`(dirname "$as_dir") 2>/dev/null ||
983 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
984          X"$as_dir" : 'X\(//\)[^/]' \| \
985          X"$as_dir" : 'X\(//\)$' \| \
986          X"$as_dir" : 'X\(/\)' \| \
987          .     : '\(.\)' 2>/dev/null ||
988 echo X"$as_dir" |
989     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
990           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
991           /^X\(\/\/\)$/{ s//\1/; q; }
992           /^X\(\/\).*/{ s//\1/; q; }
993           s/.*/./; q'`
994     done
995     test ! -n "$as_dirs" || mkdir $as_dirs
996   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
997 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
998    { (exit 1); exit 1; }; }; }
999
1000   ac_builddir=.
1001
1002 if test "$ac_dir" != .; then
1003   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1004   # A "../" for each directory in $ac_dir_suffix.
1005   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1006 else
1007   ac_dir_suffix= ac_top_builddir=
1008 fi
1009
1010 case $srcdir in
1011   .)  # No --srcdir option.  We are building in place.
1012     ac_srcdir=.
1013     if test -z "$ac_top_builddir"; then
1014        ac_top_srcdir=.
1015     else
1016        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1017     fi ;;
1018   [\\/]* | ?:[\\/]* )  # Absolute path.
1019     ac_srcdir=$srcdir$ac_dir_suffix;
1020     ac_top_srcdir=$srcdir ;;
1021   *) # Relative path.
1022     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1023     ac_top_srcdir=$ac_top_builddir$srcdir ;;
1024 esac
1025
1026 # Do not use `cd foo && pwd` to compute absolute paths, because
1027 # the directories may not exist.
1028 case `pwd` in
1029 .) ac_abs_builddir="$ac_dir";;
1030 *)
1031   case "$ac_dir" in
1032   .) ac_abs_builddir=`pwd`;;
1033   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
1034   *) ac_abs_builddir=`pwd`/"$ac_dir";;
1035   esac;;
1036 esac
1037 case $ac_abs_builddir in
1038 .) ac_abs_top_builddir=${ac_top_builddir}.;;
1039 *)
1040   case ${ac_top_builddir}. in
1041   .) ac_abs_top_builddir=$ac_abs_builddir;;
1042   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1043   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
1044   esac;;
1045 esac
1046 case $ac_abs_builddir in
1047 .) ac_abs_srcdir=$ac_srcdir;;
1048 *)
1049   case $ac_srcdir in
1050   .) ac_abs_srcdir=$ac_abs_builddir;;
1051   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1052   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
1053   esac;;
1054 esac
1055 case $ac_abs_builddir in
1056 .) ac_abs_top_srcdir=$ac_top_srcdir;;
1057 *)
1058   case $ac_top_srcdir in
1059   .) ac_abs_top_srcdir=$ac_abs_builddir;;
1060   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1061   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
1062   esac;;
1063 esac
1064
1065
1066   { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
1067 echo "$as_me: executing $ac_dest commands" >&6;}
1068   case $ac_dest in
1069     depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1070   # Strip MF so we end up with the name of the file.
1071   mf=`echo "$mf" | sed -e 's/:.*$//'`
1072   # Check whether this is an Automake generated Makefile or not.
1073   # We used to match only the files named `Makefile.in', but
1074   # some people rename them; so instead we look at the file content.
1075   # Grep'ing the first line is not enough: some people post-process
1076   # each Makefile.in and add a new line on top of each file to say so.
1077   # So let's grep whole file.
1078   if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1079     dirpart=`(dirname "$mf") 2>/dev/null ||
1080 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1081          X"$mf" : 'X\(//\)[^/]' \| \
1082          X"$mf" : 'X\(//\)$' \| \
1083          X"$mf" : 'X\(/\)' \| \
1084          .     : '\(.\)' 2>/dev/null ||
1085 echo X"$mf" |
1086     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1087           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1088           /^X\(\/\/\)$/{ s//\1/; q; }
1089           /^X\(\/\).*/{ s//\1/; q; }
1090           s/.*/./; q'`
1091   else
1092     continue
1093   fi
1094   # Extract the definition of DEPDIR, am__include, and am__quote
1095   # from the Makefile without running `make'.
1096   DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1097   test -z "$DEPDIR" && continue
1098   am__include=`sed -n 's/^am__include = //p' < "$mf"`
1099   test -z "am__include" && continue
1100   am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1101   # When using ansi2knr, U may be empty or an underscore; expand it
1102   U=`sed -n 's/^U = //p' < "$mf"`
1103   # Find all dependency output files, they are included files with
1104   # $(DEPDIR) in their names.  We invoke sed twice because it is the
1105   # simplest approach to changing $(DEPDIR) to its actual value in the
1106   # expansion.
1107   for file in `sed -n "
1108     s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1109        sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1110     # Make sure the directory exists.
1111     test -f "$dirpart/$file" && continue
1112     fdir=`(dirname "$file") 2>/dev/null ||
1113 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1114          X"$file" : 'X\(//\)[^/]' \| \
1115          X"$file" : 'X\(//\)$' \| \
1116          X"$file" : 'X\(/\)' \| \
1117          .     : '\(.\)' 2>/dev/null ||
1118 echo X"$file" |
1119     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1120           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1121           /^X\(\/\/\)$/{ s//\1/; q; }
1122           /^X\(\/\).*/{ s//\1/; q; }
1123           s/.*/./; q'`
1124     { if $as_mkdir_p; then
1125     mkdir -p $dirpart/$fdir
1126   else
1127     as_dir=$dirpart/$fdir
1128     as_dirs=
1129     while test ! -d "$as_dir"; do
1130       as_dirs="$as_dir $as_dirs"
1131       as_dir=`(dirname "$as_dir") 2>/dev/null ||
1132 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1133          X"$as_dir" : 'X\(//\)[^/]' \| \
1134          X"$as_dir" : 'X\(//\)$' \| \
1135          X"$as_dir" : 'X\(/\)' \| \
1136          .     : '\(.\)' 2>/dev/null ||
1137 echo X"$as_dir" |
1138     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1139           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1140           /^X\(\/\/\)$/{ s//\1/; q; }
1141           /^X\(\/\).*/{ s//\1/; q; }
1142           s/.*/./; q'`
1143     done
1144     test ! -n "$as_dirs" || mkdir $as_dirs
1145   fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
1146 echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
1147    { (exit 1); exit 1; }; }; }
1148
1149     # echo "creating $dirpart/$file"
1150     echo '# dummy' > "$dirpart/$file"
1151   done
1152 done
1153  ;;
1154   esac
1155 done
1156
1157 { (exit 0); exit 0; }